.services {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
    gap: 20px;

    @media (max-width: 1024px) {
        grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
        grid-auto-rows: 250px;
    }

    @media (max-width: 768px) {
        grid-template-columns: repeat(auto-fill, minmax(230px, 1fr));
    }

    @media (max-width: 425px) {
        grid-auto-rows: 180px;
    }

    .service {
        display: flex;
        flex-direction: column;
        justify-content: end;
        background-color: $cultured;
        border-radius: 15px;
        padding: 30px;
        height: 230px;
        position: relative;
        transition: 0.3s ease;

        @media (max-width: 425px) {
            height: 156px;
        }

        &__title {
            @include text16;
            margin-bottom: 15px
        }

        &__link {
            @include arrowButton;
        }
        
        &__logo {
            position: absolute;
            top: -30px;
            transition: 0.3s ease;
        }

        &:hover {
            background-color: $aliceBlue;

            .service__logo {
                transform: scale(1.2);

                @media (max-width: 425px) {
                    transform: scale(1);
                }
            }
        }
    }
}